"use strict";
const common_vendor = require("../../common/vendor.js");
const gen_Enums = require("../../gen/Enums.js");
const INDEX_pass_method = require("./method.js");
const INDEX_pass_model = require("./model.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/day.js");
require("../../common/libraries/naviHelper.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_u_avatar2 = common_vendor.resolveComponent("u-avatar");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_uni_icons2 + _easycom_u_avatar2 + _easycom_hs_footer2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_u_avatar = () => "../../node-modules/uview-plus/components/u-avatar/u-avatar.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_u_avatar + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = INDEX_pass_method.method) == null ? void 0 : _a.init(e);
      console.log(e);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B, _C, _D, _E, _F, _G, _H, _I, _J, _K, _L, _M, _N, _O, _P, _Q, _R, _S, _T, _U, _V, _W, _X, _Y, _Z, __, _$, _aa, _ba, _ca, _da, _ea, _fa, _ga, _ha, _ia, _ja, _ka, _la, _ma, _na, _oa, _pa, _qa, _ra, _sa, _ta, _ua, _va, _wa, _xa, _ya, _za, _Aa, _Ba, _Ca, _Da, _Ea, _Fa, _Ga, _Ha, _Ia, _Ja;
      return common_vendor.e({
        a: ((_c = (_b = (_a = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _a.formData) == null ? void 0 : _b.value) == null ? void 0 : _c.source) === "2"
      }, ((_f = (_e = (_d = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _d.formData) == null ? void 0 : _e.value) == null ? void 0 : _f.source) === "2" ? common_vendor.e({
        b: (_h = (_g = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _g.isExpired) == null ? void 0 : _h.value
      }, ((_j = (_i = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _i.isExpired) == null ? void 0 : _j.value) ? {
        c: common_vendor.p({
          type: "info",
          size: "50",
          color: "#FF4D4F"
        })
      } : {
        d: common_vendor.p({
          src: ((_m = (_l = (_k = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _k.userInfo) == null ? void 0 : _l.value) == null ? void 0 : _m.worker_photo) && ((_q = (_p = (_o = (_n = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _n.userInfo) == null ? void 0 : _o.value) == null ? void 0 : _p.worker_photo[0]) == null ? void 0 : _q.url),
          size: "70"
        }),
        e: common_vendor.t(((_t = (_s = (_r = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _r.showData) == null ? void 0 : _s.value) == null ? void 0 : _t.visitor_name) || "-"),
        f: common_vendor.t(((_w = (_v = (_u = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _u.showData) == null ? void 0 : _v.value) == null ? void 0 : _w.visitor_phone) || "-")
      }, {
        g: common_vendor.t(((_A = (_z = (_y = (_x = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _x.showData) == null ? void 0 : _y.value) == null ? void 0 : _z.asset_house) == null ? void 0 : _A.full_name) || "-"),
        h: (_C = (_B = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _B.isExpired) == null ? void 0 : _C.value
      }, ((_E = (_D = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _D.isExpired) == null ? void 0 : _E.value) ? {} : {
        i: common_vendor.t((_I = common_vendor.unref(gen_Enums.VisitorAppliesStatusEnum)[(_H = (_G = (_F = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _F.showData) == null ? void 0 : _G.value) == null ? void 0 : _H.status]) == null ? void 0 : _I.text),
        j: common_vendor.n(`value status_${(_L = (_K = (_J = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _J.showData) == null ? void 0 : _K.value) == null ? void 0 : _L.status}`)
      }, {
        k: (_O = (_N = (_M = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _M.showData) == null ? void 0 : _N.value) == null ? void 0 : _O.remark
      }, ((_R = (_Q = (_P = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _P.showData) == null ? void 0 : _Q.value) == null ? void 0 : _R.remark) ? {
        l: common_vendor.t(((_U = (_T = (_S = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _S.showData) == null ? void 0 : _T.value) == null ? void 0 : _U.remark) || "-")
      } : {}, {
        m: common_vendor.t(((_Y = (_X = (_W = (_V = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _V.showData) == null ? void 0 : _W.value) == null ? void 0 : _X.last_enter_record) == null ? void 0 : _Y.enter_time) || "-"),
        n: common_vendor.t(((_aa = (_$ = (__ = (_Z = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _Z.showData) == null ? void 0 : __.value) == null ? void 0 : _$.last_exit_record) == null ? void 0 : _aa.exit_time) || "-")
      }) : {}, {
        o: ((_da = (_ca = (_ba = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _ba.formData) == null ? void 0 : _ca.value) == null ? void 0 : _da.source) === "4"
      }, ((_ga = (_fa = (_ea = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _ea.formData) == null ? void 0 : _fa.value) == null ? void 0 : _ga.source) === "4" ? {
        p: common_vendor.p({
          size: "70"
        }),
        q: common_vendor.t(((_ka = (_ja = (_ia = (_ha = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _ha.showData) == null ? void 0 : _ia.value) == null ? void 0 : _ja.house) == null ? void 0 : _ka.full_name) || "-"),
        r: common_vendor.t(((_na = (_ma = (_la = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _la.showData) == null ? void 0 : _ma.value) == null ? void 0 : _na.occupant_name) || "-")
      } : {}, {
        s: ((_qa = (_pa = (_oa = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _oa.showData) == null ? void 0 : _pa.value) == null ? void 0 : _qa.status) === "Approved" && !((_sa = (_ra = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _ra.isExpired) == null ? void 0 : _sa.value) && ((_va = (_ua = (_ta = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _ta.formData) == null ? void 0 : _ua.value) == null ? void 0 : _va.source) === "2"
      }, ((_ya = (_xa = (_wa = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _wa.showData) == null ? void 0 : _xa.value) == null ? void 0 : _ya.status) === "Approved" && !((_Aa = (_za = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _za.isExpired) == null ? void 0 : _Aa.value) && ((_Da = (_Ca = (_Ba = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _Ba.formData) == null ? void 0 : _Ca.value) == null ? void 0 : _Da.source) === "2" ? {
        t: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(INDEX_pass_method.method)) == null ? void 0 : _a2.handleSubmit("enter");
        }),
        v: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(INDEX_pass_method.method)) == null ? void 0 : _a2.handleSubmit("exit");
        }),
        w: common_vendor.p({
          btnParimaryName: "进入小区",
          btnOtherShow: true,
          btnOtherName: "离开小区"
        })
      } : {}, {
        x: ((_Ga = (_Fa = (_Ea = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _Ea.formData) == null ? void 0 : _Fa.value) == null ? void 0 : _Ga.source) === "4"
      }, ((_Ja = (_Ia = (_Ha = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _Ha.formData) == null ? void 0 : _Ia.value) == null ? void 0 : _Ja.source) === "4" ? {
        y: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(INDEX_pass_method.method)) == null ? void 0 : _a2.handleSubmit("enter");
        }),
        z: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(INDEX_pass_method.method)) == null ? void 0 : _a2.handleSubmit("exit");
        }),
        A: common_vendor.p({
          btnParimaryName: "进入小区",
          btnOtherShow: true,
          btnOtherName: "离开小区"
        })
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/INDEX/pass/index.vue"]]);
wx.createPage(MiniProgramPage);
